### Interface

# Gio TlsServerConnection

since: 2.28

#### Description

    interface Gio.TlsServerConnection : Gio.TlsConnection

`GTlsServerConnection` is the server-side subclass of `GTlsConnection`, representing a server-side TLS connection.

Available since: 2.28

#### Prerequisite

In order to implement TlsServerConnection, your type must inherit from`GTlsConnection`.

#### Functions

###### g_tls_server_connection_new

Creates a new `GTlsServerConnection` wrapping `base_io_stream` (which must have pollable input and output streams).

since: 2.28

#### Properties

###### Gio.TlsServerConnection:authentication-mode

The `GTlsAuthenticationMode` for the server. This can be changed before calling `g_tls_connection_handshake()` if you want to rehandshake with a different mode from the initial handshake.

since: 2.28

#### Interface structure

    struct GioTlsServerConnectionInterface {
      GTypeInterface g_iface;

    }

Vtable for a `GTlsServerConnection` implementation.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.